## ros-lunar-qb-device-control 2.0.1

=== debian/changelog ===
ros-lunar-qb-device-control (2.0.1-0xenial) xenial; urgency=high

  * Fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 31 May 2018 22:00:00 -0000

ros-lunar-qb-device-control (2.0.0-0xenial) xenial; urgency=high

  * Update doxygen documentation
  * Refactor launch files
  * Add method to temporarily change PID parameters
  * Add asynchronous requests for sporadic get/set
  * Add a unique control node
  * Fix minors
  * Fix thread spinning
  * Add basic trajectory builder methods
  * Refactor yaml waypoint trajectory parsing
  * Refactor Actions to match given hardware interfaces
  * Switch to CombinedRobotHW
  * Fix minors
  * Fix waypoints parsing source
  * Add a control loop frequency publisher
  * Refactor launch files and fix controllers spawner
  * Fix destructor calls on ROS shutdown
  * Fix minors

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-lunar-qb-device-control (1.2.2-0xenial) xenial; urgency=high

  * Add a step (square) wave trajectory generator

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 29 Nov 2017 23:00:00 -0000

ros-lunar-qb-device-control (1.1.0-0xenial) xenial; urgency=high

  * Add notes for the future
  * Refactor control timer intialization
  * Add sine wave trajectory generator

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-lunar-qb-device-control (1.0.8-0xenial) xenial; urgency=high

  * Fix C++11 support for cmake version less than 3.1

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 26 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.7-0xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 25 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.6-0xenial) xenial; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.5-0xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.4-0xenial) xenial; urgency=high

  * fix cmake settings to solve isolated builds (install also libraries)

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.3-0xenial) xenial; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.2-0xenial) xenial; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 19 Jun 2017 22:00:00 -0000

ros-lunar-qb-device-control (1.0.1-0xenial) xenial; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 18 Jun 2017 22:00:00 -0000
