=== debian/control ===
Source: ros-lunar-qb-device-control
Section: misc
Priority: extra
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-combined-robot-hw, ros-lunar-control-msgs, ros-lunar-controller-manager, ros-lunar-qb-device-hardware-interface, ros-lunar-qb-device-utils, ros-lunar-roscpp
Homepage: http://wiki.ros.org/qb_device_control
Standards-Version: 3.9.2

Package: ros-lunar-qb-device-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-combined-robot-hw, ros-lunar-control-msgs, ros-lunar-controller-manager, ros-lunar-qb-device-hardware-interface, ros-lunar-qb-device-utils, ros-lunar-roscpp
Description: This package contains a device-independent control library for qbrobotics® devices.
